## erlang-p1-xmlrpc 1.15.1

=== Makefile ===
all: src

src:
	rebar compile xref

clean:
	rebar clean

test:
	rebar skip_deps=true eunit

.PHONY: clean src test

=== debian/changelog ===
erlang-p1-xmlrpc (1.15.1-3) unstable; urgency=medium

  * Build-Depend on erlang-ssl (fixes FTBFS)

 -- Philipp Huebner <debalance@debian.org>  Wed, 07 Sep 2016 12:14:50 +0200

erlang-p1-xmlrpc (1.15.1-2) unstable; urgency=medium

  * Added erlang-xmerl to Build-Depends (fixes FTBFS)

 -- Philipp Huebner <debalance@debian.org>  Mon, 27 Jun 2016 13:03:31 +0200

erlang-p1-xmlrpc (1.15.1-1) unstable; urgency=medium

  * Changed upstream source to https://github.com/processone/p1_xmlrpc
    and renamed (source) package accordingly to erlang-p1-xmlrpc
  * Imported Upstream version 1.15.1
  * Added Breaks+Replaces: erlang-xmlrpc

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jun 2016 17:03:26 +0200

erlang-xmlrpc (1.15-3) unstable; urgency=medium

  * Streamlined debian/rules
  * Updated debian/copyright
  * Updated Standards-Version: 3.9.8 (no changes needed)
  * Updated Vcs-* fields in debian/control

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jun 2016 15:27:27 +0200

erlang-xmlrpc (1.15-2) unstable; urgency=medium

  * Fix FTBFS

 -- Philipp Huebner <debalance@debian.org>  Fri, 01 May 2015 10:45:06 +0200

erlang-xmlrpc (1.15-1) unstable; urgency=medium

  * New upstream release
  * Removed deprecated patch "remove-git.diff"
  * Updated debian/watch
  * Updated Standards-Version: 3.9.6 (no changes needed)
  * Updated years in debian/copyright
  * Added Vcs links to debian/control

 -- Philipp Huebner <debalance@debian.org>  Thu, 30 Apr 2015 08:28:43 +0200

erlang-xmlrpc (0.2014.03.17-2) unstable; urgency=medium

  * Drop git from build-depends and add patch to fix FTBFS (Closes: #745583)
  * Add correct erlang depends

 -- Philipp Huebner <debalance@debian.org>  Wed, 23 Apr 2014 09:31:56 +0200

erlang-xmlrpc (0.2014.03.17-1) unstable; urgency=low

  * Initial release (Closes: #744883)

 -- Philipp Huebner <debalance@debian.org>  Wed, 16 Apr 2014 18:02:46 +0200

=== debian/control ===
Source: erlang-p1-xmlrpc
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-ssl, erlang-eunit, erlang-xmerl
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/processone/p1_xmlrpc
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-xmlrpc.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-xmlrpc.git

Package: erlang-p1-xmlrpc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}
Breaks: erlang-xmlrpc
Replaces: erlang-xmlrpc
Description: HTTP 1.1 compliant XML-RPC library for Erlang
 This is an HTTP 1.1 compliant XML-RPC library for Erlang. It is
 designed to make it easy to write XML-RPC Erlang clients and/or
 servers. The library is compliant with the XML-RPC specification
 published by http://www.xmlrpc.org/.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

DESTDIR=$(CURDIR)/debian/erlang-p1-xmlrpc


%:
	dh $@ --buildsystem=rebar --with rebar


override_dh_auto_build:
	make all


override_dh_auto_install:
	dh_auto_install
	for file in include/*.hrl ; do \
		fname=$$(basename $${file}) ; \
		subdir=$$(basename $$(dirname $${file})) ; \
		if [ ! -f $(DESTDIR)/usr/lib/erlang/lib/p1_xmlrpc-$(DEB_VERSION_UPSTREAM)/$${subdir}/$${fname} ] ; then \
			install -m 755 -d $(DESTDIR)/usr/lib/erlang/lib/p1_xmlrpc-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
			install -m 644 $${file} \
			$(DESTDIR)/usr/lib/erlang/lib/p1_xmlrpc-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
		fi ; \
	done

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-xmlrpc_$1.tar.gz/,dversionmangle=s/\~(debian|dfsg|ds|deb)(\d+)?$//" \
  https://github.com/processone/p1_xmlrpc/releases .*/v?(\d\S*)\.tar\.gz
